------------------------------------------------------------------
--                                                              --
--  File:   Create_NC_Indexes_Fixed.SQL                         --
--          Microsoft TPC-E Benchmark Kit Ver. 1.7.0-1013       --
--         Copyright Microsoft  2008, 2009                      --
--                                                              --
------------------------------------------------------------------
USE tpce
GO

---
--- Set Connection Attributes
---
SET ANSI_NULLS ON
SET ANSI_PADDING ON
SET ANSI_WARNINGS ON
SET ARITHABORT ON
SET CONCAT_NULL_YIELDS_NULL ON
SET QUOTED_IDENTIFIER ON
SET NUMERIC_ROUNDABORT OFF
GO

-- *** INDUSTRY ***
IF NOT EXISTS ( SELECT name FROM sysindexes WHERE name = 'IX_INDUSTRY_NC1' )
    CREATE UNIQUE INDEX IX_INDUSTRY_NC1 ON INDUSTRY(IN_NAME, IN_ID)
        WITH (FILLFACTOR = 100, MAXDOP = 4)
        ON else_fg
GO

IF NOT EXISTS ( SELECT name FROM sysindexes WHERE name = 'IX_INDUSTRY_NC2' )
    CREATE UNIQUE INDEX IX_INDUSTRY_NC2 ON INDUSTRY(IN_SC_ID, IN_ID)
        WITH (FILLFACTOR = 100, MAXDOP = 4)
        ON else_fg
GO

-- *** SECTOR ***
IF NOT EXISTS ( SELECT name FROM sysindexes WHERE name = 'IX_SECTOR_NC1' )
    CREATE UNIQUE INDEX IX_SECTOR_NC1 ON SECTOR(SC_NAME, SC_ID)
        WITH (FILLFACTOR = 100, MAXDOP = 4)
        ON else_fg
GO

-- *** TRADE_TYPE ***
IF NOT EXISTS ( SELECT name FROM sysindexes WHERE name = 'IX_TT_NC_index0' )
    CREATE UNIQUE INDEX IX_TT_NC_index0 ON TRADE_TYPE(TT_ID, TT_IS_MRKT, TT_IS_SELL, TT_NAME)
        WITH (FILLFACTOR = 100, MAXDOP = 4)
        ON else_fg
GO

IF NOT EXISTS ( SELECT name FROM sysindexes WHERE name = 'IX_TT_NC_index1' )
    CREATE UNIQUE INDEX IX_TT_NC_index1 ON TRADE_TYPE(TT_ID, TT_IS_MRKT, TT_IS_SELL, TT_NAME)
        WITH (FILLFACTOR = 100, MAXDOP = 4)
        ON else_fg
GO

IF NOT EXISTS ( SELECT name FROM sysindexes WHERE name = 'IX_TT_NC_index2' )
    CREATE UNIQUE INDEX IX_TT_NC_index2 ON TRADE_TYPE(TT_ID, TT_IS_MRKT, TT_IS_SELL, TT_NAME)
        WITH (FILLFACTOR = 100, MAXDOP = 4)
        ON else_fg
GO

IF NOT EXISTS ( SELECT name FROM sysindexes WHERE name = 'IX_TT_NC_index3' )
    CREATE UNIQUE INDEX IX_TT_NC_index3 ON TRADE_TYPE(TT_ID, TT_IS_MRKT, TT_IS_SELL, TT_NAME)
        WITH (FILLFACTOR = 100, MAXDOP = 4)
        ON else_fg
GO

IF NOT EXISTS ( SELECT name FROM sysindexes WHERE name = 'IX_TT_NC_index4' )
    CREATE UNIQUE INDEX IX_TT_NC_index4 ON TRADE_TYPE(TT_ID, TT_IS_MRKT, TT_IS_SELL, TT_NAME)
        WITH (FILLFACTOR = 100, MAXDOP = 4)
        ON else_fg
GO

IF NOT EXISTS ( SELECT name FROM sysindexes WHERE name = 'IX_TT_NC_index5' )
    CREATE UNIQUE INDEX IX_TT_NC_index5 ON TRADE_TYPE(TT_ID, TT_IS_MRKT, TT_IS_SELL, TT_NAME)
        WITH (FILLFACTOR = 100, MAXDOP = 4)
        ON else_fg
GO

IF NOT EXISTS ( SELECT name FROM sysindexes WHERE name = 'IX_TT_NC_index6' )
    CREATE UNIQUE INDEX IX_TT_NC_index6 ON TRADE_TYPE(TT_ID, TT_IS_MRKT, TT_IS_SELL, TT_NAME)
        WITH (FILLFACTOR = 100, MAXDOP = 4)
        ON else_fg
GO

IF NOT EXISTS ( SELECT name FROM sysindexes WHERE name = 'IX_TT_NC_index7' )
    CREATE UNIQUE INDEX IX_TT_NC_index7 ON TRADE_TYPE(TT_ID, TT_IS_MRKT, TT_IS_SELL, TT_NAME)
        WITH (FILLFACTOR = 100, MAXDOP = 4)
        ON else_fg
GO

IF NOT EXISTS ( SELECT name FROM sysindexes WHERE name = 'IX_TT_NC_index8' )
    CREATE UNIQUE INDEX IX_TT_NC_index8 ON TRADE_TYPE(TT_ID, TT_IS_MRKT, TT_IS_SELL, TT_NAME)
        WITH (FILLFACTOR = 100, MAXDOP = 4)
        ON else_fg
GO

IF NOT EXISTS ( SELECT name FROM sysindexes WHERE name = 'IX_TT_NC_index9' )
    CREATE UNIQUE INDEX IX_TT_NC_index9 ON TRADE_TYPE(TT_ID, TT_IS_MRKT, TT_IS_SELL, TT_NAME)
        WITH (FILLFACTOR = 100, MAXDOP = 4)
        ON else_fg
GO

IF NOT EXISTS ( SELECT name FROM sysindexes WHERE name = 'IX_TT_NC_index10' )
    CREATE UNIQUE INDEX IX_TT_NC_index10 ON TRADE_TYPE(TT_ID, TT_IS_MRKT, TT_IS_SELL, TT_NAME)
        WITH (FILLFACTOR = 100, MAXDOP = 4)
        ON else_fg
GO

IF NOT EXISTS ( SELECT name FROM sysindexes WHERE name = 'IX_TT_NC_index11' )
    CREATE UNIQUE INDEX IX_TT_NC_index11 ON TRADE_TYPE(TT_ID, TT_IS_MRKT, TT_IS_SELL, TT_NAME)
        WITH (FILLFACTOR = 100, MAXDOP = 4)
        ON else_fg
GO

IF NOT EXISTS ( SELECT name FROM sysindexes WHERE name = 'IX_TT_NC_index12' )
    CREATE UNIQUE INDEX IX_TT_NC_index12 ON TRADE_TYPE(TT_ID, TT_IS_MRKT, TT_IS_SELL, TT_NAME)
        WITH (FILLFACTOR = 100, MAXDOP = 4)
        ON else_fg
GO

IF NOT EXISTS ( SELECT name FROM sysindexes WHERE name = 'IX_TT_NC_index13' )
    CREATE UNIQUE INDEX IX_TT_NC_index13 ON TRADE_TYPE(TT_ID, TT_IS_MRKT, TT_IS_SELL, TT_NAME)
        WITH (FILLFACTOR = 100, MAXDOP = 4)
        ON else_fg
GO

IF NOT EXISTS ( SELECT name FROM sysindexes WHERE name = 'IX_TT_NC_index14' )
    CREATE UNIQUE INDEX IX_TT_NC_index14 ON TRADE_TYPE(TT_ID, TT_IS_MRKT, TT_IS_SELL, TT_NAME)
        WITH (FILLFACTOR = 100, MAXDOP = 4)
        ON else_fg
GO

IF NOT EXISTS ( SELECT name FROM sysindexes WHERE name = 'IX_TT_NC_index15' )
    CREATE UNIQUE INDEX IX_TT_NC_index15 ON TRADE_TYPE(TT_ID, TT_IS_MRKT, TT_IS_SELL, TT_NAME)
        WITH (FILLFACTOR = 100, MAXDOP = 4)
        ON else_fg
GO

IF NOT EXISTS ( SELECT name FROM sysindexes WHERE name = 'IX_TT_NC_index16' )
    CREATE UNIQUE INDEX IX_TT_NC_index16 ON TRADE_TYPE(TT_ID, TT_IS_MRKT, TT_IS_SELL, TT_NAME)
        WITH (FILLFACTOR = 100, MAXDOP = 4)
        ON else_fg
GO

IF NOT EXISTS ( SELECT name FROM sysindexes WHERE name = 'IX_TT_NC_index17' )
    CREATE UNIQUE INDEX IX_TT_NC_index17 ON TRADE_TYPE(TT_ID, TT_IS_MRKT, TT_IS_SELL, TT_NAME)
        WITH (FILLFACTOR = 100, MAXDOP = 4)
        ON else_fg
GO

IF NOT EXISTS ( SELECT name FROM sysindexes WHERE name = 'IX_TT_NC_index18' )
    CREATE UNIQUE INDEX IX_TT_NC_index18 ON TRADE_TYPE(TT_ID, TT_IS_MRKT, TT_IS_SELL, TT_NAME)
        WITH (FILLFACTOR = 100, MAXDOP = 4)
        ON else_fg
GO

IF NOT EXISTS ( SELECT name FROM sysindexes WHERE name = 'IX_TT_NC_index19' )
    CREATE UNIQUE INDEX IX_TT_NC_index19 ON TRADE_TYPE(TT_ID, TT_IS_MRKT, TT_IS_SELL, TT_NAME)
        WITH (FILLFACTOR = 100, MAXDOP = 4)
        ON else_fg
GO

IF NOT EXISTS ( SELECT name FROM sysindexes WHERE name = 'IX_TT_NC_index20' )
    CREATE UNIQUE INDEX IX_TT_NC_index20 ON TRADE_TYPE(TT_ID, TT_IS_MRKT, TT_IS_SELL, TT_NAME)
        WITH (FILLFACTOR = 100, MAXDOP = 4)
        ON else_fg
GO

IF NOT EXISTS ( SELECT name FROM sysindexes WHERE name = 'IX_TT_NC_index21' )
    CREATE UNIQUE INDEX IX_TT_NC_index21 ON TRADE_TYPE(TT_ID, TT_IS_MRKT, TT_IS_SELL, TT_NAME)
        WITH (FILLFACTOR = 100, MAXDOP = 4)
        ON else_fg
GO

IF NOT EXISTS ( SELECT name FROM sysindexes WHERE name = 'IX_TT_NC_index22' )
    CREATE UNIQUE INDEX IX_TT_NC_index22 ON TRADE_TYPE(TT_ID, TT_IS_MRKT, TT_IS_SELL, TT_NAME)
        WITH (FILLFACTOR = 100, MAXDOP = 4)
        ON else_fg
GO

IF NOT EXISTS ( SELECT name FROM sysindexes WHERE name = 'IX_TT_NC_index23' )
    CREATE UNIQUE INDEX IX_TT_NC_index23 ON TRADE_TYPE(TT_ID, TT_IS_MRKT, TT_IS_SELL, TT_NAME)
        WITH (FILLFACTOR = 100, MAXDOP = 4)
        ON else_fg
GO

IF NOT EXISTS ( SELECT name FROM sysindexes WHERE name = 'IX_TT_NC_index24' )
    CREATE UNIQUE INDEX IX_TT_NC_index24 ON TRADE_TYPE(TT_ID, TT_IS_MRKT, TT_IS_SELL, TT_NAME)
        WITH (FILLFACTOR = 100, MAXDOP = 4)
        ON else_fg
GO

IF NOT EXISTS ( SELECT name FROM sysindexes WHERE name = 'IX_TT_NC_index25' )
    CREATE UNIQUE INDEX IX_TT_NC_index25 ON TRADE_TYPE(TT_ID, TT_IS_MRKT, TT_IS_SELL, TT_NAME)
        WITH (FILLFACTOR = 100, MAXDOP = 4)
        ON else_fg
GO

IF NOT EXISTS ( SELECT name FROM sysindexes WHERE name = 'IX_TT_NC_index26' )
    CREATE UNIQUE INDEX IX_TT_NC_index26 ON TRADE_TYPE(TT_ID, TT_IS_MRKT, TT_IS_SELL, TT_NAME)
        WITH (FILLFACTOR = 100, MAXDOP = 4)
        ON else_fg
GO

IF NOT EXISTS ( SELECT name FROM sysindexes WHERE name = 'IX_TT_NC_index27' )
    CREATE UNIQUE INDEX IX_TT_NC_index27 ON TRADE_TYPE(TT_ID, TT_IS_MRKT, TT_IS_SELL, TT_NAME)
        WITH (FILLFACTOR = 100, MAXDOP = 4)
        ON else_fg
GO

IF NOT EXISTS ( SELECT name FROM sysindexes WHERE name = 'IX_TT_NC_index28' )
    CREATE UNIQUE INDEX IX_TT_NC_index28 ON TRADE_TYPE(TT_ID, TT_IS_MRKT, TT_IS_SELL, TT_NAME)
        WITH (FILLFACTOR = 100, MAXDOP = 4)
        ON else_fg
GO

IF NOT EXISTS ( SELECT name FROM sysindexes WHERE name = 'IX_TT_NC_index29' )
    CREATE UNIQUE INDEX IX_TT_NC_index29 ON TRADE_TYPE(TT_ID, TT_IS_MRKT, TT_IS_SELL, TT_NAME)
        WITH (FILLFACTOR = 100, MAXDOP = 4)
        ON else_fg
GO

IF NOT EXISTS ( SELECT name FROM sysindexes WHERE name = 'IX_TT_NC_index30' )
    CREATE UNIQUE INDEX IX_TT_NC_index30 ON TRADE_TYPE(TT_ID, TT_IS_MRKT, TT_IS_SELL, TT_NAME)
        WITH (FILLFACTOR = 100, MAXDOP = 4)
        ON else_fg
GO

IF NOT EXISTS ( SELECT name FROM sysindexes WHERE name = 'IX_TT_NC_index31' )
    CREATE UNIQUE INDEX IX_TT_NC_index31 ON TRADE_TYPE(TT_ID, TT_IS_MRKT, TT_IS_SELL, TT_NAME)
        WITH (FILLFACTOR = 100, MAXDOP = 4)
        ON else_fg
GO

IF NOT EXISTS ( SELECT name FROM sysindexes WHERE name = 'IX_TT_NC_index32' )
    CREATE UNIQUE INDEX IX_TT_NC_index32 ON TRADE_TYPE(TT_ID, TT_IS_MRKT, TT_IS_SELL, TT_NAME)
        WITH (FILLFACTOR = 100, MAXDOP = 4)
        ON else_fg
GO

IF NOT EXISTS ( SELECT name FROM sysindexes WHERE name = 'IX_TT_NC_index33' )
    CREATE UNIQUE INDEX IX_TT_NC_index33 ON TRADE_TYPE(TT_ID, TT_IS_MRKT, TT_IS_SELL, TT_NAME)
        WITH (FILLFACTOR = 100, MAXDOP = 4)
        ON else_fg
GO

IF NOT EXISTS ( SELECT name FROM sysindexes WHERE name = 'IX_TT_NC_index34' )
    CREATE UNIQUE INDEX IX_TT_NC_index34 ON TRADE_TYPE(TT_ID, TT_IS_MRKT, TT_IS_SELL, TT_NAME)
        WITH (FILLFACTOR = 100, MAXDOP = 4)
        ON else_fg
GO

IF NOT EXISTS ( SELECT name FROM sysindexes WHERE name = 'IX_TT_NC_index35' )
    CREATE UNIQUE INDEX IX_TT_NC_index35 ON TRADE_TYPE(TT_ID, TT_IS_MRKT, TT_IS_SELL, TT_NAME)
        WITH (FILLFACTOR = 100, MAXDOP = 4)
        ON else_fg
GO

IF NOT EXISTS ( SELECT name FROM sysindexes WHERE name = 'IX_TT_NC_index36' )
    CREATE UNIQUE INDEX IX_TT_NC_index36 ON TRADE_TYPE(TT_ID, TT_IS_MRKT, TT_IS_SELL, TT_NAME)
        WITH (FILLFACTOR = 100, MAXDOP = 4)
        ON else_fg
GO

IF NOT EXISTS ( SELECT name FROM sysindexes WHERE name = 'IX_TT_NC_index37' )
    CREATE UNIQUE INDEX IX_TT_NC_index37 ON TRADE_TYPE(TT_ID, TT_IS_MRKT, TT_IS_SELL, TT_NAME)
        WITH (FILLFACTOR = 100, MAXDOP = 4)
        ON else_fg
GO

IF NOT EXISTS ( SELECT name FROM sysindexes WHERE name = 'IX_TT_NC_index38' )
    CREATE UNIQUE INDEX IX_TT_NC_index38 ON TRADE_TYPE(TT_ID, TT_IS_MRKT, TT_IS_SELL, TT_NAME)
        WITH (FILLFACTOR = 100, MAXDOP = 4)
        ON else_fg
GO

IF NOT EXISTS ( SELECT name FROM sysindexes WHERE name = 'IX_TT_NC_index39' )
    CREATE UNIQUE INDEX IX_TT_NC_index39 ON TRADE_TYPE(TT_ID, TT_IS_MRKT, TT_IS_SELL, TT_NAME)
        WITH (FILLFACTOR = 100, MAXDOP = 4)
        ON else_fg
Go

IF NOT EXISTS ( SELECT name FROM sysindexes WHERE name = 'IX_TT_NC_index40' )
    CREATE UNIQUE INDEX IX_TT_NC_index40 ON TRADE_TYPE(TT_ID, TT_IS_MRKT, TT_IS_SELL, TT_NAME)
        WITH (FILLFACTOR = 100, MAXDOP = 4)
        ON else_fg
GO

IF NOT EXISTS ( SELECT name FROM sysindexes WHERE name = 'IX_TT_NC_index41' )
    CREATE UNIQUE INDEX IX_TT_NC_index41 ON TRADE_TYPE(TT_ID, TT_IS_MRKT, TT_IS_SELL, TT_NAME)
        WITH (FILLFACTOR = 100, MAXDOP = 4)
        ON else_fg
GO

IF NOT EXISTS ( SELECT name FROM sysindexes WHERE name = 'IX_TT_NC_index42' )
    CREATE UNIQUE INDEX IX_TT_NC_index42 ON TRADE_TYPE(TT_ID, TT_IS_MRKT, TT_IS_SELL, TT_NAME)
        WITH (FILLFACTOR = 100, MAXDOP = 4)
        ON else_fg
GO

IF NOT EXISTS ( SELECT name FROM sysindexes WHERE name = 'IX_TT_NC_index43' )
    CREATE UNIQUE INDEX IX_TT_NC_index43 ON TRADE_TYPE(TT_ID, TT_IS_MRKT, TT_IS_SELL, TT_NAME)
        WITH (FILLFACTOR = 100, MAXDOP = 4)
        ON else_fg
GO

IF NOT EXISTS ( SELECT name FROM sysindexes WHERE name = 'IX_TT_NC_index44' )
    CREATE UNIQUE INDEX IX_TT_NC_index44 ON TRADE_TYPE(TT_ID, TT_IS_MRKT, TT_IS_SELL, TT_NAME)
        WITH (FILLFACTOR = 100, MAXDOP = 4)
        ON else_fg
GO

IF NOT EXISTS ( SELECT name FROM sysindexes WHERE name = 'IX_TT_NC_index45' )
    CREATE UNIQUE INDEX IX_TT_NC_index45 ON TRADE_TYPE(TT_ID, TT_IS_MRKT, TT_IS_SELL, TT_NAME)
        WITH (FILLFACTOR = 100, MAXDOP = 4)
        ON else_fg
GO

IF NOT EXISTS ( SELECT name FROM sysindexes WHERE name = 'IX_TT_NC_index46' )
    CREATE UNIQUE INDEX IX_TT_NC_index46 ON TRADE_TYPE(TT_ID, TT_IS_MRKT, TT_IS_SELL, TT_NAME)
        WITH (FILLFACTOR = 100, MAXDOP = 4)
        ON else_fg
GO

IF NOT EXISTS ( SELECT name FROM sysindexes WHERE name = 'IX_TT_NC_index47' )
    CREATE UNIQUE INDEX IX_TT_NC_index47 ON TRADE_TYPE(TT_ID, TT_IS_MRKT, TT_IS_SELL, TT_NAME)
        WITH (FILLFACTOR = 100, MAXDOP = 4)
        ON else_fg
GO

IF NOT EXISTS ( SELECT name FROM sysindexes WHERE name = 'IX_TT_NC_index48' )
    CREATE UNIQUE INDEX IX_TT_NC_index48 ON TRADE_TYPE(TT_ID, TT_IS_MRKT, TT_IS_SELL, TT_NAME)
        WITH (FILLFACTOR = 100, MAXDOP = 4)
        ON else_fg
GO

IF NOT EXISTS ( SELECT name FROM sysindexes WHERE name = 'IX_TT_NC_index49' )
    CREATE UNIQUE INDEX IX_TT_NC_index49 ON TRADE_TYPE(TT_ID, TT_IS_MRKT, TT_IS_SELL, TT_NAME)
        WITH (FILLFACTOR = 100, MAXDOP = 4)
        ON else_fg
GO

IF NOT EXISTS ( SELECT name FROM sysindexes WHERE name = 'IX_TT_NC_index50' )
    CREATE UNIQUE INDEX IX_TT_NC_index50 ON TRADE_TYPE(TT_ID, TT_IS_MRKT, TT_IS_SELL, TT_NAME)
        WITH (FILLFACTOR = 100, MAXDOP = 4)
        ON else_fg
GO

IF NOT EXISTS ( SELECT name FROM sysindexes WHERE name = 'IX_TT_NC_index51' )
    CREATE UNIQUE INDEX IX_TT_NC_index51 ON TRADE_TYPE(TT_ID, TT_IS_MRKT, TT_IS_SELL, TT_NAME)
        WITH (FILLFACTOR = 100, MAXDOP = 4)
        ON else_fg
GO

IF NOT EXISTS ( SELECT name FROM sysindexes WHERE name = 'IX_TT_NC_index52' )
    CREATE UNIQUE INDEX IX_TT_NC_index52 ON TRADE_TYPE(TT_ID, TT_IS_MRKT, TT_IS_SELL, TT_NAME)
        WITH (FILLFACTOR = 100, MAXDOP = 4)
        ON else_fg
GO

IF NOT EXISTS ( SELECT name FROM sysindexes WHERE name = 'IX_TT_NC_index53' )
    CREATE UNIQUE INDEX IX_TT_NC_index53 ON TRADE_TYPE(TT_ID, TT_IS_MRKT, TT_IS_SELL, TT_NAME)
        WITH (FILLFACTOR = 100, MAXDOP = 4)
        ON else_fg
GO

IF NOT EXISTS ( SELECT name FROM sysindexes WHERE name = 'IX_TT_NC_index54' )
    CREATE UNIQUE INDEX IX_TT_NC_index54 ON TRADE_TYPE(TT_ID, TT_IS_MRKT, TT_IS_SELL, TT_NAME)
        WITH (FILLFACTOR = 100, MAXDOP = 4)
        ON else_fg
GO

IF NOT EXISTS ( SELECT name FROM sysindexes WHERE name = 'IX_TT_NC_index55' )
    CREATE UNIQUE INDEX IX_TT_NC_index55 ON TRADE_TYPE(TT_ID, TT_IS_MRKT, TT_IS_SELL, TT_NAME)
        WITH (FILLFACTOR = 100, MAXDOP = 4)
        ON else_fg
GO

IF NOT EXISTS ( SELECT name FROM sysindexes WHERE name = 'IX_TT_NC_index56' )
    CREATE UNIQUE INDEX IX_TT_NC_index56 ON TRADE_TYPE(TT_ID, TT_IS_MRKT, TT_IS_SELL, TT_NAME)
        WITH (FILLFACTOR = 100, MAXDOP = 4)
        ON else_fg
GO

IF NOT EXISTS ( SELECT name FROM sysindexes WHERE name = 'IX_TT_NC_index57' )
    CREATE UNIQUE INDEX IX_TT_NC_index57 ON TRADE_TYPE(TT_ID, TT_IS_MRKT, TT_IS_SELL, TT_NAME)
        WITH (FILLFACTOR = 100, MAXDOP = 4)
        ON else_fg
GO

IF NOT EXISTS ( SELECT name FROM sysindexes WHERE name = 'IX_TT_NC_index58' )
    CREATE UNIQUE INDEX IX_TT_NC_index58 ON TRADE_TYPE(TT_ID, TT_IS_MRKT, TT_IS_SELL, TT_NAME)
        WITH (FILLFACTOR = 100, MAXDOP = 4)
        ON else_fg
GO

IF NOT EXISTS ( SELECT name FROM sysindexes WHERE name = 'IX_TT_NC_index59' )
    CREATE UNIQUE INDEX IX_TT_NC_index59 ON TRADE_TYPE(TT_ID, TT_IS_MRKT, TT_IS_SELL, TT_NAME)
        WITH (FILLFACTOR = 100, MAXDOP = 4)
        ON else_fg
GO

IF NOT EXISTS ( SELECT name FROM sysindexes WHERE name = 'IX_TT_NC_index60' )
    CREATE UNIQUE INDEX IX_TT_NC_index60 ON TRADE_TYPE(TT_ID, TT_IS_MRKT, TT_IS_SELL, TT_NAME)
        WITH (FILLFACTOR = 100, MAXDOP = 4)
        ON else_fg
GO

IF NOT EXISTS ( SELECT name FROM sysindexes WHERE name = 'IX_TT_NC_index61' )
    CREATE UNIQUE INDEX IX_TT_NC_index61 ON TRADE_TYPE(TT_ID, TT_IS_MRKT, TT_IS_SELL, TT_NAME)
        WITH (FILLFACTOR = 100, MAXDOP = 4)
        ON else_fg
GO

IF NOT EXISTS ( SELECT name FROM sysindexes WHERE name = 'IX_TT_NC_index62' )
    CREATE UNIQUE INDEX IX_TT_NC_index62 ON TRADE_TYPE(TT_ID, TT_IS_MRKT, TT_IS_SELL, TT_NAME)
        WITH (FILLFACTOR = 100, MAXDOP = 4)
        ON else_fg
GO

IF NOT EXISTS ( SELECT name FROM sysindexes WHERE name = 'IX_TT_NC_index63' )
    CREATE UNIQUE INDEX IX_TT_NC_index63 ON TRADE_TYPE(TT_ID, TT_IS_MRKT, TT_IS_SELL, TT_NAME)
        WITH (FILLFACTOR = 100, MAXDOP = 4)
        ON else_fg
GO
