------------------------------------------------------------------
--                                                              --
--  File:   Create_NC_Indexes_Scaling.SQL                       --
--          Microsoft TPC-E Benchmark Kit Ver. 1.7.0-1013       --
--         Copyright Microsoft  2008, 2009                      --
--                                                              --
--  NOTE:   This file is generated by TPCE_SETUP.CMD based on   --
--          the number of processors on the system.             --
--                                                              --
------------------------------------------------------------------
USE tpce
GO

---
--- Set connection attributes
---
SET ANSI_NULLS ON
SET ANSI_PADDING ON
SET ANSI_WARNINGS ON
SET ARITHABORT ON
SET CONCAT_NULL_YIELDS_NULL ON
SET QUOTED_IDENTIFIER ON
SET NUMERIC_ROUNDABORT OFF
GO

-- *** COMPANY ***
IF NOT EXISTS ( SELECT name FROM sysindexes WHERE name = 'IX_COMPANY_NC1' )
    CREATE UNIQUE INDEX IX_COMPANY_NC1 ON COMPANY(CO_NAME, CO_ID)
        WITH (FILLFACTOR = 100, MAXDOP = 4)
    	ON else_fg
GO

IF NOT EXISTS ( SELECT name FROM sysindexes WHERE name = 'IX_COMPANY_NC2' )
    CREATE UNIQUE INDEX IX_COMPANY_NC2 ON COMPANY(CO_IN_ID, CO_ID)
        WITH (FILLFACTOR = 100, MAXDOP = 4)
    	ON else_fg
GO

-- *** COMPANY_COMPETITOR ***
IF NOT EXISTS ( SELECT name FROM sysindexes WHERE name = 'IX_COMPANY_COMP_NC1' )
    CREATE INDEX IX_COMPANY_COMP_NC1 ON COMPANY_COMPETITOR(CP_CO_ID)
        WITH (FILLFACTOR = 100, MAXDOP = 4)
    	ON else_fg
GO

-- *** DAILY_MARKET ***
IF NOT EXISTS ( SELECT name FROM sysindexes WHERE name = 'IX_DAILY_MARKET_NC1' )
    CREATE UNIQUE INDEX IX_DAILY_MARKET_NC1 ON DAILY_MARKET(DM_DATE, DM_S_SYMB)
        WITH (FILLFACTOR = 100, MAXDOP = 4, SORT_IN_TEMPDB = ON)
        ON else_fg
GO

CHECKPOINT
GO

-- *** CUSTOMER ***
IF NOT EXISTS ( SELECT name FROM sysindexes WHERE name = 'IX_CUSTOMER_NC1' )
    CREATE UNIQUE INDEX IX_CUSTOMER_NC1 ON CUSTOMER(C_TAX_ID, C_ID)
        WITH (FILLFACTOR = 100, MAXDOP = 4)
    	ON else_fg
GO

IF NOT EXISTS ( SELECT name FROM sysindexes WHERE name = 'IX_CUSTOMER_NC2' )
    CREATE UNIQUE INDEX IX_CUSTOMER_NC2 ON CUSTOMER(C_ID, C_TIER)
        WITH (FILLFACTOR = 100, MAXDOP = 4)
    	ON else_fg
GO

-- *** CUSTOMER_ACCOUNT ***
IF NOT EXISTS ( SELECT name FROM sysindexes WHERE name = 'IX_CUSTOMER_ACCOUNT_NC1' )
    CREATE UNIQUE INDEX IX_CUSTOMER_ACCOUNT_NC1 ON CUSTOMER_ACCOUNT(CA_C_ID, CA_ID)
        WITH (FILLFACTOR = 100, MAXDOP = 4)
    	ON else_fg
GO

IF NOT EXISTS ( SELECT name FROM sysindexes WHERE name = 'IX_CUSTOMER_ACCOUNT_NC2' )
    CREATE UNIQUE INDEX IX_CUSTOMER_ACCOUNT_NC2 ON CUSTOMER_ACCOUNT(CA_B_ID, CA_ID, CA_C_ID)
        WITH (FILLFACTOR = 100, MAXDOP = 4)
	    ON else_fg
GO

IF NOT EXISTS ( SELECT name FROM sysindexes WHERE name = 'IX_CUSTOMER_ACCOUNT_NC3' )
    CREATE UNIQUE INDEX IX_CUSTOMER_ACCOUNT_NC3 ON CUSTOMER_ACCOUNT(CA_ID, CA_B_ID, CA_C_ID, CA_TAX_ST, CA_NAME)
        WITH (FILLFACTOR = 100, MAXDOP = 4)
    	ON else_fg
GO

-- *** SECURITY ***
IF NOT EXISTS ( SELECT name FROM sysindexes WHERE name = 'IX_SECURITY_NC1' )
    CREATE UNIQUE INDEX IX_SECURITY_NC1 ON SECURITY(S_CO_ID, S_ISSUE, S_EX_ID, S_SYMB)
        WITH (FILLFACTOR = 100, MAXDOP = 4)
    	ON else_fg
GO

IF NOT EXISTS ( SELECT name FROM sysindexes WHERE name = 'IX_SECURITY_NC2' )
    CREATE UNIQUE INDEX IX_SECURITY_NC2 ON SECURITY(S_CO_ID, S_NUM_OUT, S_SYMB)
        WITH (FILLFACTOR = 100, MAXDOP = 4)
    	ON else_fg
GO

-- *** WATCH_LIST ***
IF NOT EXISTS ( SELECT name FROM sysindexes WHERE name = 'IX_WATCH_LIST_NC1' )
    CREATE UNIQUE INDEX IX_WATCH_LIST_NC1 ON WATCH_LIST(WL_C_ID, WL_ID)
        WITH (FILLFACTOR = 100, MAXDOP = 4)
        ON else_fg
GO
